## cloud-initramfs-tools 0.1ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.1ubuntu1) natty; urgency=low

  * Initial Release (LP: #725127).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 25 Feb 2011 12:44:03 -0500

## cloud-initramfs-tools 0.2ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.2ubuntu1) oneiric; urgency=low

  * invoke blkid to search for the rescue volume rather than relying on 
    /dev/disk/by-label/LABEL .  The by-label entries would sometimes
    not exist while the device would.
  * improve failed boot message
  * update debian/README.source to point at upstream location

  [Neil Wilson]
  * fix race condition that resulted in intermittent mount failures 
    after 'growroot'. (LP: #765843)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Jun 2011 09:46:57 -0400

## cloud-initramfs-tools 0.4ubuntu1

=== Makefile ===
MODULES = growroot rescuevol
INITRAMFS_D = /usr/share/initramfs-tools
IRD = $(DESTDIR)/$(INITRAMFS_D)
ULIB_PRE = $(DESTDIR)/usr/lib/cloud-initramfs-

build:

install:
	mkdir -p "$(IRD)/hooks" "$(IRD)/scripts"
	set -e; for d in $(MODULES); do \
		[ -d "$$d/hooks" ] || continue ; \
		install "$$d/hooks"/* "$(IRD)/hooks" ; \
		done
	set -e ; for d in $(MODULES); do \
		for sd in $$d/scripts/*; do \
			[ -d $$sd ] || continue; \
			td="$(IRD)/scripts/$${sd##*/}"; \
			mkdir -p "$$td" ; \
			install "$$sd"/* "$$td"; \
		done; done
	set -e; for d in $(MODULES); do \
		[ -d "$$d/tools" ] || continue ; \
		mkdir -p "$(ULIB_PRE)$$d/" && \
		install "$$d/tools"/* "$(ULIB_PRE)$$d/" ; \
		done

# vi: ts=4 noexpandtab syntax=make

=== debian/changelog ===
cloud-initramfs-tools (0.4ubuntu1) precise; urgency=low

  * growroot: run 'udevadm settle' before attempting growpart to
    allow initial events to finish (LP: #937352)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 23 Feb 2012 22:19:20 -0500

cloud-initramfs-tools (0.3ubuntu1) precise; urgency=low

  * growroot: unmount root before attempting to grow the root
    partition (LP: #906722).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 20 Dec 2011 13:24:45 -0500

=== debian/control ===
Source: cloud-initramfs-tools
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1

Package: cloud-initramfs-rescuevol
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools
Description: boot off a rescue volume rather than root filesystem
 This package adds functionality to an initramfs built by initramfs-tools.
 When installed the initramfs will check to see if any partitions
 with a label of 'RESCUE_VOL' are attached.  If such a volume is attached,
 it will boot off that volume rather than the root volume.
 .
 This is useful in a cloud environment, when the user is able to attach
 and detach volumes to a running system, but has no other mechanism
 for interupting of fixing a failed boot.  It is analogous to inserting
 a rescue CD into a system to recover from failure.

Package: cloud-initramfs-growroot
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools, util-linux (>= 2.17.2), cloud-utils (>= 0.21ubuntu1)
Description: automatically resize the root partition on first boot
 This package adds functionality to an initramfs built by initramfs-tools.
 When installed, the initramfs will repartition a disk to make the
 root volume consume all space that follows it.
 .
 You most likely do not want this package unless you know what you are
 doing.  It is primarily interesting in a virtualized environment when
 a disk can provisioned with a size larger than its original size.
 In this case, with this package installed, you can automatically use
 the new space without requiring a reboot to re-read the partition table.

## cloud-initramfs-tools 0.18

=== cloud-initramfs-tools/debian/changelog ===
cloud-initramfs-tools (0.18.debian13+deb12u1) bookworm; urgency=medium

  * growroot: add missing dependencies (Closes: #1037914)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 20 Aug 2024 11:44:21 -0400

cloud-initramfs-tools (0.18.debian13) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Fix copy_exec /bin/udevadm /sbin (Closes: #1035920).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 May 2023 13:16:27 +0200

cloud-initramfs-tools (0.18.debian12) unstable; urgency=medium

  [ Martin Pitt ]
  * Fix:growroot remount root failed (Closes: #1027050).

  [ Santiago Vila ]
  * growroot/hooks/growroot: Add copy_exec /usr/bin/flock /bin.
    (Closes: #1014662)

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Feb 2023 18:17:24 +0100

cloud-initramfs-tools (0.18.debian11) unstable; urgency=medium

  * Fix copy_exec /usr/bin/udevadm /sbin (Closes: #1025849).

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Dec 2022 17:15:20 +0100

cloud-initramfs-tools (0.18.debian10) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Dec 2022 23:14:47 +0100

cloud-initramfs-tools (0.18.debian9) unstable; urgency=medium

  [ Carl F Karsten ]
  * Replace the overlayroot package, because there is now the overlayfs
    kernel module available in Debian (Closes: #732788).

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Dec 2022 20:37:53 +0100

cloud-initramfs-tools (0.18.debian8) unstable; urgency=medium

  [ Thomas Goirand ]
  * Remove Julien Danjou from uploaders (Closes: #928563).

  [ Noah Meyerhans ]
  * Update Vcs-* link in debian/control
  * Update standards version to 4.5.0 (no changes needed)
  * Spelling and other misc fixes in debian/control

 -- Noah Meyerhans <noahm@debian.org>  Tue, 10 Mar 2020 17:30:21 -0700

cloud-initramfs-tools (0.18.debian7) unstable; urgency=medium

  * Add patch for resizing mmcblkXpY type partitions. (Closes: #924113)

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Mar 2019 18:46:31 +0100

cloud-initramfs-tools (0.18.debian6) unstable; urgency=medium

  * Update path of udevadm to /bin (instead of /sbin). (Closes: #852569)
  * Depends on fdisk. (Closes: #872102)

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Sep 2017 11:20:36 +0200

cloud-initramfs-tools (0.18.debian5) unstable; urgency=medium

  * Add myself in Uploaders
  * copy /bin/readlink in the initrd to be able to use the -f parameter
    as expected by growroot (Closes: #744822)

 -- Gonéri Le Bouder <goneri@debian.org>  Tue, 15 Apr 2014 01:48:56 +0200

cloud-initramfs-tools (0.18.debian4) unstable; urgency=medium

  * Removed the overlayroot package, because there's no kernel module available
    in Debian to support it (Closes: #732788).
  * Bumps Standards-Version: to 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Feb 2014 13:04:19 +0800

cloud-initramfs-tools (0.18.debian3) unstable; urgency=low

  * Removed patch for disabling growpart checkups.
  * Added "rm" in the growpart requires.
  * cloud-initramfs-growroot now needs cloud-utils >= 0.26-2~ (since this is
    the version containing the fix for the growpart trap).
  * Bumps Standards-Version: to 3.9.4.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Jun 2013 06:59:38 +0000

cloud-initramfs-tools (0.18.debian2) unstable; urgency=low

  [ Julien Danjou ]
  * Fix Vcs-Git field (Closes: #705474)

  [ Thomas Goirand ]
  * Remove the check for the growpart --dry-run which made everything fail.
  * Added a debian/gbp.conf to have the debian/unstable branch as default.
  * Adds sed and awk in the initramfs (without it, growpart fails).
  * Added myself as uploader.
  * Added patch descrtion (patch from Julien).
  * Reviewed/reformated a bit the debian/copyright file.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 May 2013 22:51:56 +0800

cloud-initramfs-tools (0.18.debian1) unstable; urgency=low

  * Package for Debian

 -- Julien Danjou <acid@debian.org>  Tue, 29 Jan 2013 14:14:00 +0100

cloud-initramfs-tools (0.18-ubuntu1) quantal; urgency=low

  * add cloud-initramfs-dyn-netconf package.
    * support replacing 'BOOTIF' in an 'ip' kernel cmdline parameter with
      the actual interface name (ip=:::::BOOTIF => ip=::::eth0) (LP: #1046405)
    * support writing network-interfaces style file for any devices configured
      via 'ipconfig' in the kernel (LP: #1053190).

 -- Scott Moser <smoser@ubuntu.com>  Mon, 01 Oct 2012 13:12:22 -0400

cloud-initramfs-tools (0.17-0ubuntu1) quantal; urgency=low

  * disable searching for config disk by default (LP: #1034116)
  * make config disk device configurable
  * support reading /etc/overlayroot.local.conf for local configuration

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Aug 2012 22:08:27 -0400

cloud-initramfs-tools (0.16-0ubuntu1) quantal; urgency=low

  * overlayroot/scripts/init-bottom/overlayroot:
    - lower missing rng seed to a debug

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 01 Aug 2012 11:36:25 -0500

cloud-initramfs-tools (0.15-0ubuntu1) quantal; urgency=low

  * overlayroot/etc/overlayroot.conf, overlayroot/scripts/init-
    bottom/overlayroot:
    - add a bit more unpredictability/entropy to our key generation
    - use the stat output of all of /dev/* /proc/* /sys/*
    - document that

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 31 Jul 2012 16:45:10 -0500

cloud-initramfs-tools (0.14-0ubuntu1) quantal; urgency=low

  [ Scott Moser ]
  * overlayroot/etc/overlayroot.conf:
    - fix name of password file
  * overlayroot/hooks/overlayroot:
    - mktemp is already in busybox

  [ Dustin Kirkland ]
  * debian/control:
    - lower haveged to a suggests, until its MIR is approved

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 31 Jul 2012 11:00:15 -0500

cloud-initramfs-tools (0.13-0ubuntu1) quantal; urgency=low

  * overlayroot/scripts/init-bottom/overlayroot:
    - stash generated password in tmpfs in /dev/.initramfs
  * debian/control, overlayroot/etc/overlayroot.conf,
    overlayroot/hooks/overlayroot, overlayroot/scripts/init-


=== cloud-initramfs-tools/debian/control ===
Source: cloud-initramfs-tools
Section: admin
Priority: optional
Maintainer: Debian Cloud <debian-cloud@lists.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Noah Meyerhans <noahm@debian.org>,
Build-Depends: debhelper-compat (= 12), quilt
Standards-Version: 4.5.0
Homepage: http://launchpad.net/cloud-initramfs-tools
Vcs-Browser: https://salsa.debian.org/cloud-team/cloud-initramfs-tools
Vcs-Git: https://salsa.debian.org/cloud-team/cloud-initramfs-tools.git

Package: cloud-initramfs-rescuevol
Architecture: all
Depends: initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
Description: boot off a rescue volume rather than root filesystem
 This package adds functionality to an initramfs built by initramfs-tools.
 When installed the initramfs will check to see if any partitions
 with a label of 'RESCUE_VOL' are attached.  If such a volume is attached,
 it will boot off that volume rather than the root volume.
 .
 This is useful in a cloud environment, when the user is able to
 attach and detach volumes to a running system, but has no other
 mechanism for interrupting of fixing a failed boot.  It is analogous
 to inserting a rescue CD into a system to recover from failure.

Package: cloud-initramfs-growroot
Architecture: all
Depends: cloud-utils (>= 0.26-2~),
         initramfs-tools,
         fdisk | util-linux (<< 2.29.2-3~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: automatically resize the root partition on first boot
 This package adds functionality to an initramfs built by initramfs-tools.
 When installed, the initramfs will repartition a disk to make the
 root volume consume all space that follows it.
 .
 You most likely do not want this package unless you know what you are
 doing.  It is primarily interesting in a virtualized environment when
 a disk can provisioned with a size larger than its original size.
 In this case, with this package installed, you can automatically use
 the new space without requiring a reboot to re-read the partition table.

Package: overlayroot
Architecture: all
Depends: cryptsetup,
         cryptsetup-bin,
         initramfs-tools,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: haveged
Description: use an overlayfs on top of a read-only root filesystem
 This package adds functionality to an initramfs built by initramfs-tools.
 When installed and configured, the initramfs will mount an overlayfs
 filesystem on top of a read-only root volume.
 .
 The changes can be written to a in-memory temporary filesystem, a
 filesystem on an existing block device, or a dmcrypt encrypted block
 device.

Package: cloud-initramfs-dyn-netconf
Architecture: all
Depends: initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
Description: write a network interface file in /run for BOOTIF
 This package provides an initramfs module that will write a simple
 network interfaces formatted file to /run/network/interfaces with
 entries for any devices that were configured during initramfs.

=== cloud-initramfs-tools/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --with quilt

## cloud-initramfs-tools 0.19ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.19ubuntu1) raring; urgency=low

  * cloud-initramfs-growroot: support growpart exit status of '1'
    indicating "no-change-necessary"
  * cloud-initramfs-dyn-netconf: run at init-premount rather than
    init-top to ensure that 'load_modules' has been run and udev is
    running (LP: #1116426)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 05 Feb 2013 16:49:23 -0500

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: extra
 Maintainer: Scott Moser <smoser@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
+Homepage: http://launchpad.net/cloud-initramfs-tools
+Vcs-Bzr: http://code.launchpad.net/~cloud-initramfs-tools/cloud-initramfs-tools/trunk
 
 Package: cloud-initramfs-rescuevol
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools
+Depends: initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
 Description: boot off a rescue volume rather than root filesystem
  This package adds functionality to an initramfs built by initramfs-tools.
  When installed the initramfs will check to see if any partitions
@@ -21,7 +23,11 @@
 
 Package: cloud-initramfs-growroot
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools, util-linux (>= 2.17.2), cloud-utils (>= 0.21ubuntu1)
+Depends: cloud-utils (>= 0.21ubuntu1),
+         initramfs-tools,
+         util-linux (>= 2.17.2),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: automatically resize the root partition on first boot
  This package adds functionality to an initramfs built by initramfs-tools.
  When installed, the initramfs will repartition a disk to make the
@@ -32,3 +38,28 @@
  a disk can provisioned with a size larger than its original size.
  In this case, with this package installed, you can automatically use
  the new space without requiring a reboot to re-read the partition table.
+
+Package: overlayroot
+Architecture: all
+Depends: cryptsetup,
+         cryptsetup-bin,
+         initramfs-tools,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: haveged
+Description: use an overlayfs on top of a read-only root filesystem
+ This package adds functionality to an initramfs built by initramfs-tools.
+ When installed and configured, the initramfs will mount an overlayfs
+ filesystem on top of a read-only root volume.
+ .
+ The changes can be written to a in-memory temporary filesystem, a
+ filesystem on an existing block device, or a dmcrypt encrypted block
+ device.
+
+Package: cloud-initramfs-dyn-netconf
+Architecture: all
+Depends: initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
+Description: write a network interface file in /run for BOOTIF
+ This package provides an initramfs module that will write a simple
+ network interfaces formated file to /run/network/interfaces with
+ entries for any devices that were configured during initramfs.

## cloud-initramfs-tools 0.20ubuntu1

=== Makefile ===
MODULES = growroot rescuevol overlayroot dyn-netconf
INITRAMFS_D = /usr/share/initramfs-tools
IRD = $(DESTDIR)/$(INITRAMFS_D)
ULIB_PRE = $(DESTDIR)/usr/lib/cloud-initramfs-

build:

install:
	mkdir -p "$(IRD)/hooks" "$(IRD)/scripts" "$(DESTDIR)/etc"
	set -e; for d in $(MODULES); do \
		[ -d "$$d/hooks" ] || continue ; \
		install "$$d/hooks"/* "$(IRD)/hooks" ; \
		done
	set -e ; for d in $(MODULES); do \
		for sd in $$d/scripts/*; do \
			[ -d $$sd ] || continue; \
			td="$(IRD)/scripts/$${sd##*/}"; \
			mkdir -p "$$td" ; \
			install "$$sd"/* "$$td"; \
		done; done
	set -e; for d in $(MODULES); do \
		[ -d "$$d/etc" ] || continue ; \
		install -m 644 "$$d/etc"/* "$(DESTDIR)/etc" ; \
		done
	set -e; for d in $(MODULES); do \
		[ -d "$$d/tools" ] || continue ; \
		mkdir -p "$(ULIB_PRE)$$d/" && \
		install "$$d/tools"/* "$(ULIB_PRE)$$d/" ; \
		done
	mkdir -p "$(DESTDIR)/usr/sbin" "$(DESTDIR)/usr/share/man/man8"
	install -m 755 "overlayroot/usr/sbin/overlayroot-chroot" "$(DESTDIR)/usr/sbin"
	install -m 644 "overlayroot/usr/share/man/man8/overlayroot-chroot.8" "$(DESTDIR)/usr/share/man/man8"

#
# Fedora/EPEL
#

DRACUT_GROWROOT_D = dracut/modules.d/50growroot

install-fedora:
	mkdir -p "$(DESTDIR)/$(DRACUT_GROWROOT_D)"
	for f in growroot.sh module-setup.sh ; do \
		install "growroot/$(DRACUT_GROWROOT_D)/$$f" \
			"$(DESTDIR)/$(DRACUT_GROWROOT_D)/" ; \
	done

install-epel:
	mkdir -p "$(DESTDIR)/$(DRACUT_GROWROOT_D)"
	for f in growroot.sh install ; do \
		install "growroot/$(DRACUT_GROWROOT_D)/$$f" \
			"$(DESTDIR)/$(DRACUT_GROWROOT_D)/" ; \
	done

# vi: ts=4 noexpandtab syntax=make

=== debian/changelog ===
cloud-initramfs-tools (0.20ubuntu1) saucy; urgency=low

  * debian/control: depend on cloud-utils or cloud-guest-utils.
  * overlayroot: include a fix for creating /etc/init in overlay so
    inotify works correctly.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 27 Aug 2013 16:48:53 -0400

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: cloud-initramfs-growroot
 Architecture: all
-Depends: cloud-utils (>= 0.21ubuntu1),
+Depends: cloud-utils (>= 0.21ubuntu1) | cloud-guest-utils,
          initramfs-tools,
          util-linux (>= 2.17.2),
          ${misc:Depends},

## cloud-initramfs-tools 0.25ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.25ubuntu1) trusty; urgency=medium

  * cloud-initramfs-copymods: Add new package that is useful
    if you're booting kernel/initramfs that live external to
    the root filesystem.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 25 Mar 2014 17:22:34 -0400

cloud-initramfs-tools (0.24ubuntu1) trusty; urgency=medium

  * overlayroot: package conf-hooks.d/overlayroot which was previously
    not included in the package.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 12 Feb 2014 13:31:57 -0500

cloud-initramfs-tools (0.23ubuntu1) trusty; urgency=low

   [ Dimitri John Ledkov ]
   * modify overlayroot config to export CRYPTSETUP=yes so that
     crypto modules are included by cryptsetup. (LP: #1267225)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 05 Feb 2014 15:13:58 +0200

cloud-initramfs-tools (0.22ubuntu1) trusty; urgency=medium

  * correctly identify partition and block device for devices named
    like devnameXpN, such as mmcblk0p1 (LP: #1236380).
  * always include aesni_intel rather than doing it if there is
    cpu support (LP: #1267225).

 -- Scott Moser <smoser@ubuntu.com>  Mon, 03 Feb 2014 22:09:00 +0200

cloud-initramfs-tools (0.21ubuntu2) trusty; urgency=low

  * Fix Makefile to avoid FTBS caused by subdir in overlayroot/etc
    Makefile now takes into account when subdirectories are present in
    the overlayroot directory.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 02 Jan 2014 03:26:22 +0000

cloud-initramfs-tools (0.21ubuntu1) trusty; urgency=low

  * === added directory overlayroot/etc/update-motd.d,
    debian/overlayroot.install, overlayroot/etc/update-motd.d/97-
    overlayroot:
    - add an update-motd message, when booted in an overlayroot
      environment

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 15 Nov 2013 12:05:58 -0600

## cloud-initramfs-tools 0.25ubuntu1.12.04.1

=== debian/changelog ===
cloud-initramfs-tools (0.25ubuntu1.12.04.1) precise-proposed; urgency=medium

  * no change backport of 0.25ubuntu1.14.04.1 from 14.04 to 12.04
    (LP: #1515661)
    + add new binary packages: overlayroot, cloud-initramfs-copymods,
      cloud-initramfs-dyn-netconf
    + growroot: correctly identify partition and block device for devices
      named like devnameXpN, such as mmcblk0p1 (LP: #1236380).
    + growroot: support newer versions of growpart which exit 1 
      for 'NOCHANGE'.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 Nov 2015 13:02:02 -0500

## cloud-initramfs-tools 0.25ubuntu1.14.04.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULES = growroot rescuevol overlayroot dyn-netconf
+MODULES = growroot rescuevol overlayroot dyn-netconf copymods rooturl
 INITRAMFS_D = /usr/share/initramfs-tools
 IRD = $(DESTDIR)/$(INITRAMFS_D)
 ULIB_PRE = $(DESTDIR)/usr/lib/cloud-initramfs-
@@ -18,10 +18,21 @@
 			mkdir -p "$$td" ; \
 			install "$$sd"/* "$$td"; \
 		done; done
+	set -e ; for d in $(MODULES); do \
+		[ -d $$d/conf-hooks.d/ ] || continue; \
+		mkdir -p "$(IRD)/conf-hooks.d"; \
+		install -m 644 "$$d/conf-hooks.d"/* "$(IRD)/conf-hooks.d/" ; \
+		done
 	set -e; for d in $(MODULES); do \
 		[ -d "$$d/etc" ] || continue ; \
-		install -m 644 "$$d/etc"/* "$(DESTDIR)/etc" ; \
-		done
+		for f in $$d/etc/*; do \
+		    if [ -d "$$f" ];then \
+		    		install -m 755 -d "$(DESTDIR)/etc/$${f##*/}" ; \
+				install "$$f"/* "$(DESTDIR)/etc/$${f##*/}" ; \
+				continue ; \
+				fi ;\
+			install -m 644 -t "$(DESTDIR)/etc" "$$f" ;\
+			done; done
 	set -e; for d in $(MODULES); do \
 		[ -d "$$d/tools" ] || continue ; \
 		mkdir -p "$(ULIB_PRE)$$d/" && \

=== debian/changelog ===
cloud-initramfs-tools (0.25ubuntu1.14.04.2) trusty-proposed; urgency=medium

  * Add cloud-initramfs-rooturl package (LP: #1688606).

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 May 2017 15:58:08 -0400

cloud-initramfs-tools (0.25ubuntu1.14.04.1) trusty-proposed; urgency=medium

  * overlayroot: use required 'workdir' option on overlayfs mount for
    kernels >= 3.18 (LP: #1411294)

 -- dann frazier <dannf@ubuntu.com>  Tue, 19 May 2015 11:31:29 -0600

=== debian/control ===
--- 
+++ 
@@ -63,3 +63,25 @@
  This package provides an initramfs module that will write a simple
  network interfaces formated file to /run/network/interfaces with
  entries for any devices that were configured during initramfs.
+
+Package: cloud-initramfs-copymods
+Architecture: all
+Depends: initramfs-tools,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: copy initramfs modules into root filesystem for later use
+ When booting with an external-to-root kernel and initramfs, you need
+ to ensure that /lib/modules contains any necessary modules not already
+ loaded.
+ .
+ This package arranges for the modules in the initramfs to be placed
+ into /lib/modules after the switchroot is done.
+
+Package: cloud-initramfs-rooturl
+Architecture: all
+Depends: initramfs-tools,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: use a tarball or squashfs image in a url as the root filesystem
+ Allows user to pass in root=http://example.com/your.tar.gz
+ Root filesystem will be tmpfs from that url.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

## cloud-initramfs-tools 0.25ubuntu1.14.10.1

=== debian/changelog ===
cloud-initramfs-tools (0.25ubuntu1.14.10.1) utopic-proposed; urgency=medium

  * overlayroot: use required 'workdir' option on overlayfs mount for
    kernels >= 3.18 (LP: #1411294)

 -- dann frazier <dannf@ubuntu.com>  Tue, 19 May 2015 11:26:46 -0600

## cloud-initramfs-tools 0.26ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.26ubuntu1) vivid; urgency=medium

  * cloud-initramfs-dyn-netconf: support BOOTIF= that contains
    upper case a-f.
  * overlayroot: use required 'workdir' option on overlayfs mount for
    kernels >= 3.18 (LP: #1411294)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 16 Jan 2015 12:01:06 -0500

## cloud-initramfs-tools 0.27deepin1.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULES = growroot rescuevol overlayroot dyn-netconf copymods rooturl
+MODULES = growroot rescuevol overlayroot dyn-netconf copymods
 INITRAMFS_D = /usr/share/initramfs-tools
 IRD = $(DESTDIR)/$(INITRAMFS_D)
 ULIB_PRE = $(DESTDIR)/usr/lib/cloud-initramfs-
@@ -40,6 +40,8 @@
 		done
 	mkdir -p "$(DESTDIR)/usr/sbin" "$(DESTDIR)/usr/share/man/man8"
 	install -m 755 "overlayroot/usr/sbin/overlayroot-chroot" "$(DESTDIR)/usr/sbin"
+	install -m 755 "overlayroot/usr/sbin/overlayroot-enable" "$(DESTDIR)/usr/sbin"
+	install -m 755 "overlayroot/usr/sbin/overlayroot-disable" "$(DESTDIR)/usr/sbin"
 	install -m 644 "overlayroot/usr/share/man/man8/overlayroot-chroot.8" "$(DESTDIR)/usr/share/man/man8"
 
 #

=== debian/changelog ===
cloud-initramfs-tools (0.27deepin1.7-1+back) unstable; urgency=low

  * ['Autobuild release-candidate: 56fb27682446453d909cadd1f7e3a86e20ba0c35']

 -- shuttle <shuttle@deepin.com>  Fri, 26 Jul 2019 15:17:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cloud-initramfs-tools
 Section: admin
 Priority: extra
-Maintainer: Scott Moser <smoser@ubuntu.com>
+Maintainer: Scott Moser <scott@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/cloud-initramfs-tools
@@ -23,7 +23,7 @@
 
 Package: cloud-initramfs-growroot
 Architecture: all
-Depends: cloud-utils (>= 0.21ubuntu1) | cloud-guest-utils,
+Depends: cloud-utils (>= 0.21) | cloud-guest-utils,
          initramfs-tools,
          util-linux (>= 2.17.2),
          ${misc:Depends},
@@ -76,12 +76,3 @@
  .
  This package arranges for the modules in the initramfs to be placed
  into /lib/modules after the switchroot is done.
-
-Package: cloud-initramfs-rooturl
-Architecture: all
-Depends: initramfs-tools,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: use a tarball or squashfs image in a url as the root filesystem
- Allows user to pass in root=http://example.com/your.tar.gz
- Root filesystem will be tmpfs from that url.

## cloud-initramfs-tools 0.27ubuntu1

=== Makefile ===
--- 
+++ 
@@ -40,8 +40,6 @@
 		done
 	mkdir -p "$(DESTDIR)/usr/sbin" "$(DESTDIR)/usr/share/man/man8"
 	install -m 755 "overlayroot/usr/sbin/overlayroot-chroot" "$(DESTDIR)/usr/sbin"
-	install -m 755 "overlayroot/usr/sbin/overlayroot-enable" "$(DESTDIR)/usr/sbin"
-	install -m 755 "overlayroot/usr/sbin/overlayroot-disable" "$(DESTDIR)/usr/sbin"
 	install -m 644 "overlayroot/usr/share/man/man8/overlayroot-chroot.8" "$(DESTDIR)/usr/share/man/man8"
 
 #

=== debian/changelog ===
cloud-initramfs-tools (0.27ubuntu1) wily; urgency=medium

  * cloud-initramfs-dyn-netconf: bring up networking if ip is on kernel
    command line and it has not been brought up (LP: #1463846)
  * cloud-initramfs-copymods: do not warn to console if /lib/modules
    exists in the target, as that is an expected case.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 23 Jun 2015 12:46:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cloud-initramfs-tools
 Section: admin
 Priority: extra
-Maintainer: Scott Moser <scott@ubuntu.com>
+Maintainer: Scott Moser <smoser@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/cloud-initramfs-tools
@@ -23,7 +23,7 @@
 
 Package: cloud-initramfs-growroot
 Architecture: all
-Depends: cloud-utils (>= 0.21) | cloud-guest-utils,
+Depends: cloud-utils (>= 0.21ubuntu1) | cloud-guest-utils,
          initramfs-tools,
          util-linux (>= 2.17.2),
          ${misc:Depends},

## cloud-initramfs-tools 0.27ubuntu1.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULES = growroot rescuevol overlayroot dyn-netconf copymods
+MODULES = growroot rescuevol overlayroot dyn-netconf copymods rooturl updateroot
 INITRAMFS_D = /usr/share/initramfs-tools
 IRD = $(DESTDIR)/$(INITRAMFS_D)
 ULIB_PRE = $(DESTDIR)/usr/lib/cloud-initramfs-

=== debian/changelog ===
cloud-initramfs-tools (0.27ubuntu1.6) xenial; urgency=medium

  [ Robert Jennings ]
  * copymods: Take ownership of lib/modules (LP: #1792905)
  * debian/control: Update Vcs-* to point to git.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 20 Sep 2018 09:39:52 -0400

cloud-initramfs-tools (0.27ubuntu1.5) xenial; urgency=medium

  * sync with upstream at 0.40ubuntu1
    - whitespace changes.
    - rooturl: adjust squashfs url matching to not require '.'.
      Previously it would match <url>*.squashfs or <url>*.squash
      Now it will match <url>*squashfs or <url>*squash.  (LP: #1728048)
    - updateroot/*, debian/control: new package 'cloud-initramfs-updateroot'
    - debian/README.source: update upstream information for move to git.
    - overlayroot: change from storing password in
      /run/initramfs/overlayroot.passwd rather than randomly generated
      /run/initramfs/overlayroot.XXXXXX
    - overlayroot: avoid confusing systemd (LP: #1723183)
       + Mark / as 'noauto' in the newly written /etc/fstab
       + Comment out the read-only line for /.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Dec 2017 15:57:35 -0500

cloud-initramfs-tools (0.27ubuntu1.4) xenial; urgency=medium

  * Add cloud-initramfs-rooturl package (LP: #1688606).

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 May 2017 16:29:13 -0400

cloud-initramfs-tools (0.27ubuntu1.3) xenial; urgency=medium

  * sync with upstream at 0.32ubuntu1 (revno 129)
    * overlayroot: fix overlayroot=crypt with newer initramfs-tools
      (LP: #1634310)
    * overlayroot: support random seed from systemd systemd-random-seed.service
    * cloud-initramfs-dyn-netconf: Further adjustments to support
      IPV6 and the new DEVICE6 and net6-DEVICE.conf files.  (LP: #1621615)
    * overlayroot: support 'overlay' filesystem explicitly rather than
      relying on ubuntu specific kernel module 'overlayfs'.  (LP: #1493188)
    * overlayroot: write debug to /run/initramfs not /dev/.initramfs but
      support writing to /dev/.initramfs if that is all there is. (LP: #1485752)
    * overlayroot: fix overlayroot if recurse=0 was not provided.
      This fuctionality was lost since workdir support was added. (LP: #1619459)
    * whitespace cleanup.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 28 Nov 2016 20:12:51 -0500

cloud-initramfs-tools (0.27ubuntu1.2) xenial; urgency=medium

  * Add IPV6 support to cloud-initramfs-dyn-netconf.  (LP: #1621615)

 -- LaMont Jones <lamont@canonical.com>  Tue, 04 Oct 2016 14:52:53 -0600

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/cloud-initramfs-tools
-Vcs-Bzr: http://code.launchpad.net/~cloud-initramfs-tools/cloud-initramfs-tools/trunk
+Vcs-Git: https://git.launchpad.net/cloud-initramfs-tools
 
 Package: cloud-initramfs-rescuevol
 Architecture: all
@@ -76,3 +76,21 @@
  .
  This package arranges for the modules in the initramfs to be placed
  into /lib/modules after the switchroot is done.
+
+Package: cloud-initramfs-rooturl
+Architecture: all
+Depends: initramfs-tools,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: use a tarball or squashfs image in a url as the root filesystem
+ Allows user to pass in root=http://example.com/your.tar.gz
+ Root filesystem will be tmpfs from that url.
+
+Package: cloud-initramfs-updateroot
+Architecture: all
+Depends: initramfs-tools,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: extract a tarball over root filesystem before pivot
+ Allows kernel command line updateroot=http://your.tar.gz
+ And then tarball will be pulled and extracted over the root.

## cloud-initramfs-tools 0.30ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.30ubuntu1) yakkety; urgency=medium

  [ LaMont Jones ]
  * cloud-initramfs-dyn-netconf: Fix bug in previously added IPV6
    support. (LP: #1621615)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 05 Oct 2016 11:52:32 -0400

cloud-initramfs-tools (0.29ubuntu2) yakkety; urgency=medium

  [ LaMont Jones ]
  * Add IPV6 support to cloud-initramfs-dyn-netconf.  (LP: #1621615)

 -- LaMont Jones <lamont@canonical.com>  Tue, 27 Sep 2016 16:07:48 -0600

cloud-initramfs-tools (0.29ubuntu1) yakkety; urgency=medium

  * overlayroot: support 'overlay' filesystem explicitly rather than
    relying on ubuntu specific kernel module 'overlayfs'.  (LP: #1493188)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 23 Sep 2016 17:00:37 -0400

cloud-initramfs-tools (0.28ubuntu1) yakkety; urgency=medium

  * overlayroot: write debug to /run/initramfs not /dev/.initramfs but
    support writing to /dev/.initramfs if that is all there is. (LP: #1485752)
  * overlayroot: fix overlayroot if recurse=0 was not provided.
    This fuctionality was lost since workdir support was added. (LP: #1619459)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 02 Sep 2016 11:20:53 -0400

## cloud-initramfs-tools 0.30ubuntu1.2

=== debian/changelog ===
cloud-initramfs-tools (0.30ubuntu1.2) yakkety; urgency=medium

  * Add cloud-initramfs-rooturl package (LP: #1688606).

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 May 2017 16:11:05 -0400

cloud-initramfs-tools (0.30ubuntu1.1) yakkety; urgency=medium

  * sync with upstream at 0.32ubuntu1 (revno 129)
    * overlayroot: fix overlayroot=crypt with newer initramfs-tools
      (LP: #1634310)
    * overlayroot: support random seed from systemd
      systemd-random-seed.service
    * cloud-initramfs-dyn-netconf: Further adjustments to support
      IPV6 and the new DEVICE6 and net6-DEVICE.conf files.
      (LP: #1621615)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 28 Nov 2016 20:21:14 -0500

## cloud-initramfs-tools 0.35ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.35ubuntu1) zesty; urgency=medium

  * add cloud-initramfs-updateroot package.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Jan 2017 09:45:46 -0500

cloud-initramfs-tools (0.34ubuntu1) zesty; urgency=medium

  * cloud-initramfs-rooturl: fix bug resulting in warning message
    being written when provided a tarball as root.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 10 Jan 2017 20:28:21 -0500

cloud-initramfs-tools (0.33ubuntu1) zesty; urgency=medium

  * add cloud-initramfs-rooturl package.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Dec 2016 05:28:54 -0500

cloud-initramfs-tools (0.32ubuntu1) zesty; urgency=medium

  * overlayroot: fix overlayroot=crypt with newer initramfs-tools
    (LP: #1634310)
  * overlayroot: support random seed from systemd
    systemd-random-seed.service

 -- Scott Moser <smoser@ubuntu.com>  Mon, 14 Nov 2016 12:25:10 -0500

cloud-initramfs-tools (0.31ubuntu1) zesty; urgency=medium

  * cloud-initramfs-dyn-netconf: Further adjustments to support
    IPV6 and the new DEVICE6 and net6-DEVICE.conf files.
    (LP: #1621615)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 02 Nov 2016 15:55:39 -0400

## cloud-initramfs-tools 0.35ubuntu2

=== debian/changelog ===
cloud-initramfs-tools (0.35ubuntu2) zesty; urgency=medium

  * cloud-initramfs-rooturl: add squashfs module to initramfs
    via manual_add_modules (LP: #1689642).

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 May 2017 16:59:05 -0400

## cloud-initramfs-tools 0.35ubuntu2.1

=== debian/changelog ===
cloud-initramfs-tools (0.35ubuntu2.1) zesty; urgency=medium

  * sync with upstream at 0.40ubuntu1
    - whitespace changes.
    - rooturl: adjust squashfs url matching to not require '.'.
      Previously it would match <url>*.squashfs or <url>*.squash
      Now it will match <url>*squashfs or <url>*squash.  (LP: #1728048)
    - debian/README.source: update upstream information for move to git.
    - rooturl/doc: script to show example boot.
    - rooturl, updateroot: define 'log_warn' which was previously used
      but not defined.
    - overlayroot: avoid confusing systemd  (LP: #1723183)
       + Mark / as 'noauto' in the newly written /etc/fstab
       + Comment out the read-only line for /.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Dec 2017 15:51:12 -0500

## cloud-initramfs-tools 0.39ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.39ubuntu1) artful; urgency=medium

  * overlayroot, rooturl: fix usage of log_warning_msg. 

 -- Scott Moser <smoser@ubuntu.com>  Thu, 31 Aug 2017 16:12:43 -0400

cloud-initramfs-tools (0.38ubuntu1) artful; urgency=medium

  * overlayroot: add 'noauto' to the options for the /media/root-ro 
    fstab entry (LP: #1666573).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Jun 2017 16:52:16 -0400

cloud-initramfs-tools (0.37ubuntu1) artful; urgency=medium

  * Remove unintended files from source upload.
  * remove trailing white space in many files.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 May 2017 15:45:18 -0400

cloud-initramfs-tools (0.36ubuntu1) artful; urgency=medium

  * cloud-initramfs-rooturl: add squashfs module to initramfs
    via manual_add_modules (LP: #1689642).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 09 May 2017 16:12:35 -0400

## cloud-initramfs-tools 0.39ubuntu1.1

=== debian/changelog ===
cloud-initramfs-tools (0.39ubuntu1.1) artful; urgency=medium

  * sync with upstream at 0.40ubuntu1
    - rooturl: adjust squashfs url matching to not require '.'.
      Previously it would match <url>*.squashfs or <url>*.squash
      Now it will match <url>*squashfs or <url>*.squash.  (LP: #1728048)
    - overlayroot: avoid confusing systemd by commenting out read-only
      line for /. (LP: #1723183)
    - overlayroot: remove unused variable 'rel_root'.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Dec 2017 15:54:28 -0500

## cloud-initramfs-tools 0.40ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.40ubuntu1) bionic; urgency=medium

  * rooturl: adjust squashfs url matching to not require '.'.
    Previously it would match <url>*.squashfs or <url>*.squash
    Now it will match <url>*squashfs or <url>*.squash.
    (LP: #1728048)
  * overlayroot: Comment out the read-only line for /.  This hopes to
    avoid systemd confusion and transient ordering cycle. (LP: #1723183)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 27 Oct 2017 09:44:49 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/cloud-initramfs-tools
-Vcs-Git: https://git.launchpad.net/cloud-initramfs-tools
+Vcs-Bzr: http://code.launchpad.net/~cloud-initramfs-tools/cloud-initramfs-tools/trunk
 
 Package: cloud-initramfs-rescuevol
 Architecture: all

## cloud-initramfs-tools 0.40ubuntu1.1

=== debian/changelog ===
cloud-initramfs-tools (0.40ubuntu1.1) bionic; urgency=medium

  [ Robert Jennings ]
  * copymods: Take ownership of lib/modules (LP: #1792905)
  * debian/control: Update Vcs-* to point to git.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 20 Sep 2018 09:29:41 -0400

## cloud-initramfs-tools 0.43ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.43ubuntu1) cosmic; urgency=medium

  [ Robert Jennings ]
  * copymods: Take ownership of lib/modules (LP: #1792905)
  * debian/control: Update Vcs-* to point to git.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 20 Sep 2018 08:43:53 -0400

cloud-initramfs-tools (0.42ubuntu1) cosmic; urgency=medium

  * debian/control: fix lintian warnings
    ancient-standards-version (3.9.3 -> 4.1.5),
    spelling-error-in-description,
    priority-extra-is-replaced-by-priority-optional
  * debian/copyright: fix lintian missing-license-paragraph-in-dep5-copyright
  * debian/compat fix lintian
    package-uses-deprecated-debhelper-compat-version (7 -> 11)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 10 Jul 2018 10:20:50 -0400

cloud-initramfs-tools (0.41ubuntu1) cosmic; urgency=medium

  * growroot: copy_exec from wherever they were in path. Closes #852569.
  * overlayroot: Make overlay mount 'noauto' if backing mount is 'noauto'.
    (LP: #1779279)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 10 Jul 2018 09:15:28 -0400

## cloud-initramfs-tools 0.44ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.44ubuntu1) disco; urgency=medium

  [ Dann Frazier ]
  * copymods: Fix usage of modules in initramfs after copymods script.
    (LP: #1766723)
  * copymods: Fix typo parsing copymods= parameters in /proc/cmdline.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Nov 2018 10:09:46 -0500

## cloud-initramfs-tools 0.45ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.45ubuntu1) focal; urgency=medium

  * Add dependency on flock for growroot's use of growpart.
    (LP: #1834875)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 25 Feb 2020 13:08:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cloud-initramfs-tools
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Scott Moser <smoser@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.5
 Homepage: http://launchpad.net/cloud-initramfs-tools
-Vcs-Bzr: http://code.launchpad.net/~cloud-initramfs-tools/cloud-initramfs-tools/trunk
+Vcs-Git: https://git.launchpad.net/cloud-initramfs-tools
 
 Package: cloud-initramfs-rescuevol
 Architecture: all
@@ -18,7 +18,7 @@
  .
  This is useful in a cloud environment, when the user is able to attach
  and detach volumes to a running system, but has no other mechanism
- for interupting of fixing a failed boot.  It is analogous to inserting
+ for interrupting of fixing a failed boot.  It is analogous to inserting
  a rescue CD into a system to recover from failure.
 
 Package: cloud-initramfs-growroot
@@ -61,7 +61,7 @@
 Depends: initramfs-tools, ${misc:Depends}, ${shlibs:Depends}
 Description: write a network interface file in /run for BOOTIF
  This package provides an initramfs module that will write a simple
- network interfaces formated file to /run/network/interfaces with
+ network interfaces formatted file to /run/network/interfaces with
  entries for any devices that were configured during initramfs.
 
 Package: cloud-initramfs-copymods

## cloud-initramfs-tools 0.45ubuntu2

=== debian/changelog ===
cloud-initramfs-tools (0.45ubuntu2) focal; urgency=medium

  * When performing growroot, we don't need to perform a wait-for-root call
    as we already waited for the whole of udev to settle before that. This
    should help with weird cases where the device loses the ID_FS_TYPE
    property after growpart.  (LP: #1949102)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 02 Nov 2021 15:33:46 +0100

## cloud-initramfs-tools 0.47ubuntu1

=== debian/changelog ===
cloud-initramfs-tools (0.47ubuntu1) groovy; urgency=medium

  [ Ryan Harper ]
  * overlayroot: overwrite existing fstab when overlayrootifying fstab

 -- Scott Moser <smoser@ubuntu.com>  Mon, 17 Aug 2020 12:00:58 -0400

cloud-initramfs-tools (0.46ubuntu1) groovy; urgency=medium

  * overlayroot: initialize /etc/fstab if root does not have one and
    read-only [Scott Moser] (LP: #1890803)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 13 Aug 2020 16:47:40 -0400

## cloud-initramfs-tools 0.48

=== debian/changelog ===
cloud-initramfs-tools (0.48) noble; urgency=medium

  [ Brian Murray ]
  * debian/control Fix a typo.

  [ grozzly ]
  * overlayroot: add 'nofail' to the list of inherited mount options
    (LP: #2049271)

  [ Paride Legovini ]
  * d/copyright: fix duplicate globbing pattern
  * d/copyright: use secure (https) Format URI
  * d/copyright: trim trailing whitespaces
  * d/control: specify Rules-Requires-Root: no
  * d/control: switch to dh compat level 13 via debhelper-compat.
    No changes needed.
  * d/copyright: coalesce identically licensed debian/ stanzas
  * d/copyright: add Canonical Ltd. to the debian/* stanza
  * d/control: bump Standards-Version to 4.6.2 (no changes needed)
  * d/cloud-initramfs-copymods.l-o: override empty directory warning.
    The empty directory is created on purpose.

 -- Paride Legovini <paride@ubuntu.com>  Fri, 26 Jan 2024 11:49:48 +0100

## cloud-initramfs-tools 0.49~24.04.1

=== debian/changelog ===
cloud-initramfs-tools (0.49~24.04.1) noble; urgency=medium

  * No-change backport of bugfix-only release to Noble.

 -- Paride Legovini <paride@ubuntu.com>  Wed, 03 Jul 2024 18:00:19 +0200

cloud-initramfs-tools (0.49) oracular; urgency=medium

  [ Benjamin Drung ]
  * overlayroot: Combine calls to manual_add_modules (LP: #2065180)

 -- Paride Legovini <paride@ubuntu.com>  Tue, 02 Jul 2024 12:38:14 +0200

## cloud-initramfs-tools 0.49

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Scott Moser <smoser@ubuntu.com>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Homepage: http://launchpad.net/cloud-initramfs-tools
 Vcs-Git: https://git.launchpad.net/cloud-initramfs-tools
+Rules-Requires-Root: no
 
 Package: cloud-initramfs-rescuevol
 Architecture: all
@@ -35,7 +36,7 @@
  .
  You most likely do not want this package unless you know what you are
  doing.  It is primarily interesting in a virtualized environment when
- a disk can provisioned with a size larger than its original size.
+ a disk can be provisioned with a size larger than its original size.
  In this case, with this package installed, you can automatically use
  the new space without requiring a reboot to re-read the partition table.

## cloud-initramfs-tools 0.49build1

=== debian/changelog ===
cloud-initramfs-tools (0.49build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 06 Dec 2025 10:39:33 +0100

## cloud-initramfs-tools 0.50

=== debian/changelog ===
cloud-initramfs-tools (0.50) resolute; urgency=medium

  [ Benjamin Drung ]
  * copymods: support using the Dracut kernel-modules-export (LP: #2125790)
  * copymods: claim /usr/lib/modules directory instead of /lib/modules

  [ Paride Legovini ]
  * d/control: bump Standards-Version to 4.7.2, no changes needed
  * d/control: drop redundant Rules-Requires-Root field
  * d/copyright: update copyright information

 -- Paride Legovini <paride@ubuntu.com>  Fri, 23 Jan 2026 15:50:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Scott Moser <smoser@ubuntu.com>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://launchpad.net/cloud-initramfs-tools
 Vcs-Git: https://git.launchpad.net/cloud-initramfs-tools
-Rules-Requires-Root: no
 
 Package: cloud-initramfs-rescuevol
 Architecture: all
@@ -67,9 +66,10 @@
 
 Package: cloud-initramfs-copymods
 Architecture: all
-Depends: initramfs-tools,
+Depends: dracut (>= 109) | initramfs-tools,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: dracut-core (<< 109)
 Description: copy initramfs modules into root filesystem for later use
  When booting with an external-to-root kernel and initramfs, you need
  to ensure that /lib/modules contains any necessary modules not already

## cloud-initramfs-tools 0.51

=== debian/changelog ===
cloud-initramfs-tools (0.51) resolute; urgency=medium

  * Add autopkgtest to test copymods with dracut
  * overlayroot: support dracut overlayfs as alternative (LP: #2125790)
  * rooturl: support dracut livenet as alternative (LP: #2125790)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Feb 2026 16:23:59 +0100

=== debian/tests/control ===
Tests: copymods-dracut
Architecture: !armel !i386
Restrictions: allow-stderr, needs-root
Depends: cloud-initramfs-copymods, dracut-test (>= 110), xfsprogs

Tests: overlayroot-dracut
Architecture: !armel !i386
Restrictions: allow-stderr, needs-root
Depends: dracut-test (>= 110), overlayroot
